=== debian/changelog ===
ros-eloquent-tile-map (2.1.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 22 Oct 2020 05:00:00 -0000

ros-eloquent-tile-map (2.0.0-1bionic) bionic; urgency=high

  * Port mapviz to ROS 2 (#672 <https://github.com/swri-robotics/mapviz/issues/672>)
  * Remove OpenGL warning (#667 <https://github.com/swri-robotics/mapviz/issues/667>)
  * Contributors: Daniel D'Souza, P. J. Reed, Jacob Hassold, Kevin Nickels, Roger Strain, Matthew Bries

 -- P. J. Reed <preed@swri.org>  Wed, 13 May 2020 05:00:00 -0000

ros-eloquent-tile-map (1.2.0-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 04 Sep 2019 05:00:00 -0000

ros-eloquent-tile-map (1.1.1-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 17 May 2019 05:00:00 -0000

ros-eloquent-tile-map (1.1.0-1bionic) bionic; urgency=high

  * Fix non-Bing sources (#615 <https://github.com/swri-robotics/mapviz/issues/615>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 20 Feb 2019 06:00:00 -0000

ros-eloquent-tile-map (1.0.1-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 25 Jan 2019 06:00:00 -0000

ros-eloquent-tile-map (1.0.0-1bionic) bionic; urgency=high

  * Sharing tf_manager_ between main app and plugins (#555 <https://github.com/swri-robotics/mapviz/issues/555>)
  * Fix issue with loading Bing map tiles (#599 <https://github.com/swri-robotics/mapviz/issues/599>)
  * Contributors: Davide Faconti, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 23 Jan 2019 06:00:00 -0000

ros-eloquent-tile-map (0.3.0-1bionic) bionic; urgency=high

  * Merge all -devel branches into a single master branch
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 16 Nov 2018 06:00:00 -0000

ros-eloquent-tile-map (0.2.6-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 31 Jul 2018 05:00:00 -0000

ros-eloquent-tile-map (0.2.5-1bionic) bionic; urgency=high

  * Bug fix in TileMap. GenTexture was invoked over and over again (#559 <https://github.com/swri-robotics/mapviz/issues/559>)
  * Improve tile loading prioritization.
  * Glew warning fixed (#539 <https://github.com/swri-robotics/mapviz/issues/539>)
  * update to use non deprecated pluginlib macro
  * Contributors: Davide Faconti, Marc Alban, Mikael Arguedas, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 12 Apr 2018 05:00:00 -0000

ros-eloquent-tile-map (0.2.4-1bionic) bionic; urgency=high

  * add include for boost::algorithm::trim_copy to fix tile_map_plugin.cpp:408:31: error: ‘trim_copy’ is not a member of ‘boost’ (#497 <https://github.com/swri-robotics/mapviz/issues/497>)
  * Contributors: Austin Deric

 -- P. J. Reed <preed@swri.org>  Fri, 11 Aug 2017 05:00:00 -0000

ros-eloquent-tile-map (0.2.3-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 10 Dec 2016 06:00:00 -0000

ros-eloquent-tile-map (0.2.2-1bionic) bionic; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 07 Dec 2016 06:00:00 -0000

ros-eloquent-tile-map (0.2.1-1bionic) bionic; urgency=high

  * Rewrite tile_map loading to be more reliable
    This changes how the tile_map plugin handles making network requires for tiles.
    It will now:
    - Use thread conditions to prompt loading rather than spinning
    - Prioritize loading tiles in the visible area
    - Retry a failed network request up to 5 times
    - Not discard tile requests if there are more than 100 in the queue
    This changes should significantly reduce (if not completely eliminate) the
    number of tiles that fail to load and hopefully make tiles within the visible
    area appear faster when there are many in the queue.
    Fixes #342 <https://github.com/swri-robotics/mapviz/issues/342> and #421 <https://github.com/swri-robotics/mapviz/issues/421>.
  * Adding support for Bing Maps (#409 <https://github.com/swri-robotics/mapviz/issues/409>)
    This makes a number of changes in the tile_map plugin in order to support
    different types of tile servers, including Bing Maps.  Notable changes include:
    - TileSource is now an abstract class
    - WMTS server-specific behavior has been moved into a new WmtsSource class
    - BingSource provides support for obtaining tiles from Bing Maps
    - The UI for specifying server URLs has changed
    - Prefix and coordinate order are no longer separate fields
    - In URLs for WMTS sources, the variables {level}, {x}, and {y} will be substituted with appropriate values when tiles are requested
    - Rather than generating hashes for image tiles based on their URLs, hashes are now generated by the TileSource implementations in order to support sources that can pull tiles from multiple servers
    - Idle performance has been improved by removing redundant recalculations of the map view
    - Added a dependency on libjsoncpp
    Resolves #227 <https://github.com/swri-robotics/mapviz/issues/227>
    Conflicts:
    tile_map/CMakeLists.txt
    tile_map/package.xml
  * Giving tile_map an interface overhaul
    MapQuest has turned off their public API for map tiles, so this plugin needed some work.  I have:
    - Removed the MapQuest sources
    - Made the interface for adding new sources more powerful
    - Overhauled how sources are saved and loaded under the hood
    - Added a button to reset the current tile cache
    Resolves #402 <https://github.com/swri-robotics/mapviz/issues/402>
    Conflicts:
    tile_map/CMakeLists.txt
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-eloquent-tile-map (0.2.0-1bionic) bionic; urgency=high

  * Update tile_map to Qt5.
  * Contributors: Ed Venator

 -- P. J. Reed <preed@swri.org>  Thu, 23 Jun 2016 05:00:00 -0000

ros-eloquent-tile-map (0.1.3-1bionic) bionic; urgency=high

  * Fix typo in tile map view size comparison.
  * Contributors: Marc Alban

 -- P. J. Reed <preed@swri.org>  Fri, 20 May 2016 05:00:00 -0000

ros-eloquent-tile-map (0.1.2-1bionic) bionic; urgency=high




