=== debian/control ===
Source: ros-eloquent-tile-map
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), libglew-dev, libjsoncpp-dev, libqt5core5a, libqt5opengl5-dev, libyaml-cpp-dev, qt5-qmake, ros-eloquent-ament-cmake, ros-eloquent-mapviz, ros-eloquent-pluginlib, ros-eloquent-rclcpp, ros-eloquent-swri-math-util, ros-eloquent-swri-transform-util, ros-eloquent-tf2, ros-eloquent-ros-workspace
Homepage: https://github.com/swri-robotics/mapviz
Standards-Version: 3.9.2

Package: ros-eloquent-tile-map
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libglew-dev, libjsoncpp1, libqt5core5a, libqt5opengl5, libyaml-cpp-dev, ros-eloquent-mapviz, ros-eloquent-pluginlib, ros-eloquent-rclcpp, ros-eloquent-swri-math-util, ros-eloquent-swri-transform-util, ros-eloquent-tf2, ros-eloquent-ros-workspace
Description: Tile map provides a slippy map style interface for visualizing OpenStreetMap and GoogleMap tiles.
 A mapviz visualization plug-in is also implemented
